﻿namespace ProjectAirBomber.Drawnings;
public class DrawningBomberCompareByColor : IComparer<DrawningBomber?>
{
    public int Compare(DrawningBomber? x, DrawningBomber? y)
    {
        if (x == null || x.EntityBomber == null)
        {
            return 1;
        }

        if (y == null || y.EntityBomber == null)
        {
            return -1;
        }
        var bodycolorCompare = x.EntityBomber.BodyColor.Name.CompareTo(y.EntityBomber.BodyColor.Name);
        if (bodycolorCompare != 0)
        {
            return bodycolorCompare;
        }
        var speedCompare = x.EntityBomber.Speed.CompareTo(y.EntityBomber.Speed);
        if (speedCompare != 0)
        {
            return speedCompare;
        }
        return x.EntityBomber.Weight.CompareTo(y.EntityBomber.Weight);
    }
}